@Echo off
 REM ===========================================================================
 REM JobMgr Nativ.Rf.Script for Customer (c)addPLM 2006..2017
 REM Date/Time  Name   Details:
 REM 26.12.2016 J.Fes  first version
 REM ===========================================================================
 
 Call Echo "**************************************************************************"
 Call Echo "* Excuting NX12 Part Update Nativ Script for NX  PLMJobManager Environ   *"
 Call Echo "* Version: V4.1 (c)addPLM GmbH  20.07.2018                               *"
 Call Echo "**************************************************************************"

 rem -- am Anfang Farbe auf IsIdel setzen
 call ColorSet "IsExecuting"

 REM -- define incudes #New: 05.07.2016/J.Fes
 set JobMgr_10-JobScriptsInc_01=_JobMgrDefaults
 set JobMgr_10-JobScriptsInc_02=_CustomDefaults\NxPrompt

 REM -- #Doc: Inits all Basics of Job
 Call "%~dp0_JobInitial.cmd" "NX12-PartUtility Native" "YES" "NO" "NO" "NO"

 set titleTxt=Job:[%JobName%][%TcSiteId%][%Date% %time:~0,5%][\\%ComputerName%]
 title %titleTxt%
 rem defines used NXVersion please see .\NxPrompt_Custom.cmd
 set JobMgr_NXVer=NX120
 set NXPrompt_Custom_DPNE=%CmdCurRoot_DP%\NxPrompt_Custom.cmd
 if exist "%NXPrompt_Custom_DPNE%" call "%NXPrompt_Custom_DPNE%"
 if "%JobMgr_NXPromptGet_ResCode%" equ "0" Call "%CmdCurRoot_DP%\NxPartUtilNativExecute.cmd"


 REM -- #Doc: cleanup
 del "%CmdCurRoot_DP%\NxPrompt_Custom.cmd"

 del "%CmdCurRoot_DP%\JobParam_List.cmd"
 del "%CmdCurRoot_DP%\NxPartUtilNativCustomSetEnv.cmd"
rem NxPartUtilNativCustomStart.cmd
 del "%CmdCurRoot_DP%\NxPartUtilNativExecute.cmd"
 del "%CmdCurRoot_DP%\NxPrompt_Custom.cmd"
 del "%CmdCurRoot_DP%\PathEnvAddPath.cmd"
 del "%CmdCurRoot_DP%\ProgStart_If_NotRuning.cmd"
 del "%CmdCurRoot_DP%\TypeFile.cmd"
 del "%CmdCurRoot_DP%\wait.cmd"
rem _JobFinish.cmd
 del "%CmdCurRoot_DP%\_JobInitial.cmd"
 del "%CmdCurRoot_DP%\ColorSet.cmd"
 del "%CmdCurRoot_DP%\ConnectNetUnc.cmd"
 del "%CmdCurRoot_DP%\DateTimeGet.cmd"
 del "%CmdCurRoot_DP%\DelDir.cmd"
 del "%CmdCurRoot_DP%\echo.cmd"
 del "%CmdCurRoot_DP%\ENVInfo.cmd"
 del "%CmdCurRoot_DP%\ErrorHandel.cmd"
 del "%CmdCurRoot_DP%\fccCheck.cmd"
 del "%CmdCurRoot_DP%\fccPurge.cmd"

 Call "%~dp0_JobFinish.cmd"




